summaryrefslogtreecommitdiffstats
path: root/shell/pypi-dist-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'shell/pypi-dist-build.sh')
-rw-r--r--shell/pypi-dist-build.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/shell/pypi-dist-build.sh b/shell/pypi-dist-build.sh
new file mode 100644
index 000000000..7733f6242
--- /dev/null
+++ b/shell/pypi-dist-build.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Script to build PyPI artifacts
+set -e -x -o pipefail
+
+virtualenv /tmp/v/twine
+source "/tmp/v/twine/bin/activate"
+
+pip install twine wheel
+
+cd "$WORKSPACE/$TOX_DIR"
+python setup.py sdist bdist_wheel